/*
 * ScriptSig.java
 *
 * Copyright 2014 the curewallet.org.
 * http://www.curewallet.org/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.curewallet.lib.api.result;

import org.curewallet.lib.json.JsonMember;

/**
 * 
 * 
 * @author Nezumi Kozo
 * @since 1.0
 */
public class ScriptSig {

	@JsonMember(name="asm")
	private String asm = null;
	@JsonMember(name="hex")
	private String hex = null;
	
	/**
	 * 
	 * @since 1.0
	 */
	public ScriptSig() {
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/**
	 * @return asm
	 * @since 1.0
	 */
	public String getAsm() {
		return asm;
	}

	/**
	 * @param asm セットする asm
	 * @since 1.0
	 */
	public void setAsm(String asm) {
		this.asm = asm;
	}

	/**
	 * @return hex
	 * @since 1.0
	 */
	public String getHex() {
		return hex;
	}

	/**
	 * @param hex セットする hex
	 * @since 1.0
	 */
	public void setHex(String hex) {
		this.hex = hex;
	}

	
}
