package org.curewallet.lib;
/*
 * TestResources.java
 *
 * Copyright 2014 the curewallet.org.
 * http://www.curewallet.org/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

/**
 * 
 * 
 * @author Nezumi Kozo
 * @since 1.0
 */
public class TestResources {

	private boolean walletEncry = false;
	private String passphrase = null;
	
	private boolean testGetTransaction_test1 = false;
	private boolean testGetTransaction_test2 = false;
	private boolean testGetTransaction_test3 = false;
	private boolean testGetTransaction_testFactory = false;

	private boolean testGetRawTransaction_test1 = false;
	private boolean testGetRawTransaction_test2 = false;
	private boolean testGetRawTransaction_test3 = false;
	private boolean testGetRawTransaction_testFactory = false;

	private String testSendMany_fromAccount = null;
	private String testSendMany_address1 = null;
	private String testSendMany_address2 = null;
	private boolean testSendMany_test1 = false;
	private boolean testSendMany_test2 = false;
	private boolean testSendMany_test3 = false;
	private boolean testSendMany_test4 = false;
	private boolean testSendMany_testFactory = false;
	
	private String testSendFrom_fromAccount = null;
	private String testSendFrom_address1 = null;
	private boolean testSendFrom_test1 = false;
	private boolean testSendFrom_test2 = false;
	private boolean testSendFrom_test3 = false;
	private boolean testSendFrom_test4 = false;
	private boolean testSendFrom_test5 = false;
	private boolean testSendFrom_test6 = false;
	private boolean testSendFrom_testFactory = false;
	
	private String testSendToAddress_address1 = null;
	private boolean testSendToAddress_test1 = false;
	private boolean testSendToAddress_test2 = false;
	private boolean testSendToAddress_test3 = false;
	private boolean testSendToAddress_test4 = false;
	private boolean testSendToAddress_testFactory = false;
	
	/**
	 * @return testSendFrom_test5
	 * @since 1.0
	 */
	public boolean isTestSendFrom_test5() {
		return testSendFrom_test5;
	}
	/**
	 * @param testSendFrom_test5 セットする testSendFrom_test5
	 * @since 1.0
	 */
	public void setTestSendFrom_test5(boolean testSendFrom_test5) {
		this.testSendFrom_test5 = testSendFrom_test5;
	}
	/**
	 * @return testSendFrom_test6
	 * @since 1.0
	 */
	public boolean isTestSendFrom_test6() {
		return testSendFrom_test6;
	}
	/**
	 * @param testSendFrom_test6 セットする testSendFrom_test6
	 * @since 1.0
	 */
	public void setTestSendFrom_test6(boolean testSendFrom_test6) {
		this.testSendFrom_test6 = testSendFrom_test6;
	}
	/**
	 * @return testSendMany_testFactory
	 * @since 1.0
	 */
	public boolean isTestSendMany_testFactory() {
		return testSendMany_testFactory;
	}
	/**
	 * @param testSendMany_testFactory セットする testSendMany_testFactory
	 * @since 1.0
	 */
	public void setTestSendMany_testFactory(boolean testSendMany_testFactory) {
		this.testSendMany_testFactory = testSendMany_testFactory;
	}
	/**
	 * @return testSendFrom_testFactory
	 * @since 1.0
	 */
	public boolean isTestSendFrom_testFactory() {
		return testSendFrom_testFactory;
	}
	/**
	 * @param testSendFrom_testFactory セットする testSendFrom_testFactory
	 * @since 1.0
	 */
	public void setTestSendFrom_testFactory(boolean testSendFrom_testFactory) {
		this.testSendFrom_testFactory = testSendFrom_testFactory;
	}
	/**
	 * @return testSendToAddress_testFactory
	 * @since 1.0
	 */
	public boolean isTestSendToAddress_testFactory() {
		return testSendToAddress_testFactory;
	}
	/**
	 * @param testSendToAddress_testFactory セットする testSendToAddress_testFactory
	 * @since 1.0
	 */
	public void setTestSendToAddress_testFactory(
			boolean testSendToAddress_testFactory) {
		this.testSendToAddress_testFactory = testSendToAddress_testFactory;
	}
	/**
	 * @return testSendToAddress_address1
	 * @since 1.0
	 */
	public String getTestSendToAddress_address1() {
		return testSendToAddress_address1;
	}
	/**
	 * @param testSendToAddress_address1 セットする testSendToAddress_address1
	 * @since 1.0
	 */
	public void setTestSendToAddress_address1(String testSendToAddress_address1) {
		this.testSendToAddress_address1 = testSendToAddress_address1;
	}
	/**
	 * @return testSendToAddress_test1
	 * @since 1.0
	 */
	public boolean isTestSendToAddress_test1() {
		return testSendToAddress_test1;
	}
	/**
	 * @param testSendToAddress_test1 セットする testSendToAddress_test1
	 * @since 1.0
	 */
	public void setTestSendToAddress_test1(boolean testSendToAddress_test1) {
		this.testSendToAddress_test1 = testSendToAddress_test1;
	}
	/**
	 * @return testSendToAddress_test2
	 * @since 1.0
	 */
	public boolean isTestSendToAddress_test2() {
		return testSendToAddress_test2;
	}
	/**
	 * @param testSendToAddress_test2 セットする testSendToAddress_test2
	 * @since 1.0
	 */
	public void setTestSendToAddress_test2(boolean testSendToAddress_test2) {
		this.testSendToAddress_test2 = testSendToAddress_test2;
	}
	/**
	 * @return testSendToAddress_test3
	 * @since 1.0
	 */
	public boolean isTestSendToAddress_test3() {
		return testSendToAddress_test3;
	}
	/**
	 * @param testSendToAddress_test3 セットする testSendToAddress_test3
	 * @since 1.0
	 */
	public void setTestSendToAddress_test3(boolean testSendToAddress_test3) {
		this.testSendToAddress_test3 = testSendToAddress_test3;
	}
	/**
	 * @return testSendToAddress_test4
	 * @since 1.0
	 */
	public boolean isTestSendToAddress_test4() {
		return testSendToAddress_test4;
	}
	/**
	 * @param testSendToAddress_test4 セットする testSendToAddress_test4
	 * @since 1.0
	 */
	public void setTestSendToAddress_test4(boolean testSendToAddress_test4) {
		this.testSendToAddress_test4 = testSendToAddress_test4;
	}
	/**
	 * @return testSendFrom_fromAccount
	 * @since 1.0
	 */
	public String getTestSendFrom_fromAccount() {
		return testSendFrom_fromAccount;
	}
	/**
	 * @param testSendFrom_fromAccount セットする testSendFrom_fromAccount
	 * @since 1.0
	 */
	public void setTestSendFrom_fromAccount(String testSendFrom_fromAccount) {
		this.testSendFrom_fromAccount = testSendFrom_fromAccount;
	}
	/**
	 * @return testSendFrom_address1
	 * @since 1.0
	 */
	public String getTestSendFrom_address1() {
		return testSendFrom_address1;
	}
	/**
	 * @param testSendFrom_address1 セットする testSendFrom_address1
	 * @since 1.0
	 */
	public void setTestSendFrom_address1(String testSendFrom_address1) {
		this.testSendFrom_address1 = testSendFrom_address1;
	}
	/**
	 * @return testSendFrom_test1
	 * @since 1.0
	 */
	public boolean isTestSendFrom_test1() {
		return testSendFrom_test1;
	}
	/**
	 * @param testSendFrom_test1 セットする testSendFrom_test1
	 * @since 1.0
	 */
	public void setTestSendFrom_test1(boolean testSendFrom_test1) {
		this.testSendFrom_test1 = testSendFrom_test1;
	}
	/**
	 * @return testSendFrom_test2
	 * @since 1.0
	 */
	public boolean isTestSendFrom_test2() {
		return testSendFrom_test2;
	}
	/**
	 * @param testSendFrom_test2 セットする testSendFrom_test2
	 * @since 1.0
	 */
	public void setTestSendFrom_test2(boolean testSendFrom_test2) {
		this.testSendFrom_test2 = testSendFrom_test2;
	}
	/**
	 * @return testSendFrom_test3
	 * @since 1.0
	 */
	public boolean isTestSendFrom_test3() {
		return testSendFrom_test3;
	}
	/**
	 * @param testSendFrom_test3 セットする testSendFrom_test3
	 * @since 1.0
	 */
	public void setTestSendFrom_test3(boolean testSendFrom_test3) {
		this.testSendFrom_test3 = testSendFrom_test3;
	}
	/**
	 * @return testSendFrom_test4
	 * @since 1.0
	 */
	public boolean isTestSendFrom_test4() {
		return testSendFrom_test4;
	}
	/**
	 * @param testSendFrom_test4 セットする testSendFrom_test4
	 * @since 1.0
	 */
	public void setTestSendFrom_test4(boolean testSendFrom_test4) {
		this.testSendFrom_test4 = testSendFrom_test4;
	}
	/**
	 * @return testSendMany_test2
	 * @since 1.0
	 */
	public boolean isTestSendMany_test2() {
		return testSendMany_test2;
	}
	/**
	 * @param testSendMany_test2 セットする testSendMany_test2
	 * @since 1.0
	 */
	public void setTestSendMany_test2(boolean testSendMany_test2) {
		this.testSendMany_test2 = testSendMany_test2;
	}
	/**
	 * @return testSendMany_test3
	 * @since 1.0
	 */
	public boolean isTestSendMany_test3() {
		return testSendMany_test3;
	}
	/**
	 * @param testSendMany_test3 セットする testSendMany_test3
	 * @since 1.0
	 */
	public void setTestSendMany_test3(boolean testSendMany_test3) {
		this.testSendMany_test3 = testSendMany_test3;
	}
	/**
	 * @return testSendMany_test4
	 * @since 1.0
	 */
	public boolean isTestSendMany_test4() {
		return testSendMany_test4;
	}
	/**
	 * @param testSendMany_test4 セットする testSendMany_test4
	 * @since 1.0
	 */
	public void setTestSendMany_test4(boolean testSendMany_test4) {
		this.testSendMany_test4 = testSendMany_test4;
	}
	/**
	 * @return testSendMany_fromAccount
	 * @since 1.0
	 */
	public String getTestSendMany_fromAccount() {
		return testSendMany_fromAccount;
	}
	/**
	 * @param testSendMany_fromAccount セットする testSendMany_fromAccount
	 * @since 1.0
	 */
	public void setTestSendMany_fromAccount(String testSendMany_fromAccount) {
		this.testSendMany_fromAccount = testSendMany_fromAccount;
	}
	/**
	 * @return passphrase
	 * @since 1.0
	 */
	public String getPassphrase() {
		return passphrase;
	}
	/**
	 * @param passphrase セットする passphrase
	 * @since 1.0
	 */
	public void setPassphrase(String passphrase) {
		this.passphrase = passphrase;
	}
	/**
	 * @return walletEncry
	 * @since 1.0
	 */
	public boolean isWalletEncry() {
		return walletEncry;
	}
	/**
	 * @param walletEncry セットする walletEncry
	 * @since 1.0
	 */
	public void setWalletEncry(boolean walletEncry) {
		this.walletEncry = walletEncry;
	}
	/**
	 * @return testGetTransaction_test1
	 * @since 1.0
	 */
	public boolean isTestGetTransaction_test1() {
		return testGetTransaction_test1;
	}
	/**
	 * @param testGetTransaction_test1 セットする testGetTransaction_test1
	 * @since 1.0
	 */
	public void setTestGetTransaction_test1(boolean testGetTransaction_test1) {
		this.testGetTransaction_test1 = testGetTransaction_test1;
	}
	/**
	 * @return testGetTransaction_test2
	 * @since 1.0
	 */
	public boolean isTestGetTransaction_test2() {
		return testGetTransaction_test2;
	}
	/**
	 * @param testGetTransaction_test2 セットする testGetTransaction_test2
	 * @since 1.0
	 */
	public void setTestGetTransaction_test2(boolean testGetTransaction_test2) {
		this.testGetTransaction_test2 = testGetTransaction_test2;
	}
	/**
	 * @return testGetTransaction_test3
	 * @since 1.0
	 */
	public boolean isTestGetTransaction_test3() {
		return testGetTransaction_test3;
	}
	/**
	 * @param testGetTransaction_test3 セットする testGetTransaction_test3
	 * @since 1.0
	 */
	public void setTestGetTransaction_test3(boolean testGetTransaction_test3) {
		this.testGetTransaction_test3 = testGetTransaction_test3;
	}
	/**
	 * @return testGetTransaction_testFactory
	 * @since 1.0
	 */
	public boolean isTestGetTransaction_testFactory() {
		return testGetTransaction_testFactory;
	}
	/**
	 * @param testGetTransaction_testFactory セットする testGetTransaction_testFactory
	 * @since 1.0
	 */
	public void setTestGetTransaction_testFactory(
			boolean testGetTransaction_testFactory) {
		this.testGetTransaction_testFactory = testGetTransaction_testFactory;
	}
	/**
	 * @return testGetRawTransaction_test1
	 * @since 1.0
	 */
	public boolean isTestGetRawTransaction_test1() {
		return testGetRawTransaction_test1;
	}
	/**
	 * @param testGetRawTransaction_test1 セットする testGetRawTransaction_test1
	 * @since 1.0
	 */
	public void setTestGetRawTransaction_test1(boolean testGetRawTransaction_test1) {
		this.testGetRawTransaction_test1 = testGetRawTransaction_test1;
	}
	/**
	 * @return testGetRawTransaction_test2
	 * @since 1.0
	 */
	public boolean isTestGetRawTransaction_test2() {
		return testGetRawTransaction_test2;
	}
	/**
	 * @param testGetRawTransaction_test2 セットする testGetRawTransaction_test2
	 * @since 1.0
	 */
	public void setTestGetRawTransaction_test2(boolean testGetRawTransaction_test2) {
		this.testGetRawTransaction_test2 = testGetRawTransaction_test2;
	}
	/**
	 * @return testGetRawTransaction_test3
	 * @since 1.0
	 */
	public boolean isTestGetRawTransaction_test3() {
		return testGetRawTransaction_test3;
	}
	/**
	 * @param testGetRawTransaction_test3 セットする testGetRawTransaction_test3
	 * @since 1.0
	 */
	public void setTestGetRawTransaction_test3(boolean testGetRawTransaction_test3) {
		this.testGetRawTransaction_test3 = testGetRawTransaction_test3;
	}
	/**
	 * @return testGetRawTransaction_testFactory
	 * @since 1.0
	 */
	public boolean isTestGetRawTransaction_testFactory() {
		return testGetRawTransaction_testFactory;
	}
	/**
	 * @param testGetRawTransaction_testFactory セットする testGetRawTransaction_testFactory
	 * @since 1.0
	 */
	public void setTestGetRawTransaction_testFactory(
			boolean testGetRawTransaction_testFactory) {
		this.testGetRawTransaction_testFactory = testGetRawTransaction_testFactory;
	}
	/**
	 * @return testSendMany_address1
	 * @since 1.0
	 */
	public String getTestSendMany_address1() {
		return testSendMany_address1;
	}
	/**
	 * @param testSendMany_address1 セットする testSendMany_address1
	 * @since 1.0
	 */
	public void setTestSendMany_address1(String testSendMany_address1) {
		this.testSendMany_address1 = testSendMany_address1;
	}
	/**
	 * @return testSendMany_address2
	 * @since 1.0
	 */
	public String getTestSendMany_address2() {
		return testSendMany_address2;
	}
	/**
	 * @param testSendMany_address2 セットする testSendMany_address2
	 * @since 1.0
	 */
	public void setTestSendMany_address2(String testSendMany_address2) {
		this.testSendMany_address2 = testSendMany_address2;
	}
	/**
	 * @return testSendMany_test1
	 * @since 1.0
	 */
	public boolean isTestSendMany_test1() {
		return testSendMany_test1;
	}
	/**
	 * @param testSendMany_test1 セットする testSendMany_test1
	 * @since 1.0
	 */
	public void setTestSendMany_test1(boolean testSendMany_test1) {
		this.testSendMany_test1 = testSendMany_test1;
	}


	
}
