/*
 * HttpClientException.java
 *
 * Copyright 2014 the curewallet.org.
 * http://www.curewallet.org/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.curewallet.lib.httpclient;

import org.curewallet.lib.base.CureWalletException;

/**
 * 
 * 
 * @author Nezumi Kozo
 * @since 1.0
 */
public class HttpClientException extends CureWalletException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1889631717950991083L;

	/**
	 * 
	 * @since 1.0
	 */
	public HttpClientException() {
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/**
	 * @param message
	 * @param cause
	 * @since 1.0
	 */
	public HttpClientException(String message, Throwable cause) {
		super(message, cause);
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/**
	 * @param message
	 * @since 1.0
	 */
	public HttpClientException(String message) {
		super(message);
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/**
	 * @param cause
	 * @since 1.0
	 */
	public HttpClientException(Throwable cause) {
		super(cause);
		// TODO 自動生成されたコンストラクター・スタブ
	}

}
